RK-J - Task #3015
Task # 2980 (Closed): Enable a partially functioning FE and BE if Elastic server does not exist - phase 1

BE: Return the response code "404" in case of indexOnElastic is false from the elastic search api.
05/03/2023 12:35 PM - Ayush Khandelwal

Status: Closed Start date: 05/03/2023
Priority: Urgent Due date: 05/12/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 1.50 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Currently, we're sending empty response as {"autocomplete":[],"skipStep":true}

After this implementation, we will send this {"autocomplete":[],"skipStep":true, "errorCode": "404"}

History

#1 - 05/03/2023 12:55 PM - Ayush Khandelwal

- Subject changed from BE: Return the response code "404" in case of indexOnElastic is true from the elastic search api. to BE: Return the response
code "404" in case of indexOnElastic is false from the elastic search api.

#2 - 05/03/2023 12:58 PM - Venmuhilan B

- Status changed from New to In Progress

#3 - 05/04/2023 10:36 AM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 05/10/2023 09:36 AM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#5 - 05/16/2023 06:55 AM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected
